par(mfrow=c(1,1),mar=c(4,4,2,2))
Iscri<-read.table("IscriStat1.csv",sep=",",dec=".",head=T)
attach(Iscri)
# regression tree
library(rpart)
rpart.control(minsplit=10, minbucket=3, cp=0.005, 
              maxcompete=4, maxsurrogate=5, usesurrogate=2, xval=10,
              surrogatestyle=0, maxdepth=30)
Iscri.tr <- rpart(Voto_previsto~Genere+Bonus+Liceo+Iscrizione,method="class",
 parms=list(split="gini",prior=c(0.2,0.35,0.45)),cost=c(1,1,1,1),data=Iscri)
printcp(Iscri.tr)
# il punto di intersezione tra la riga orizontale può essere un valore ragionevole per cp
plotcp(Iscri.tr,minline=TRUE,lty=2,lwd=2,col="red",upper="size")
# In alternativa c'è la ricerca automatica
opt<-which.min(Iscri.tr$cptable[,"xerror"])
comp<-Iscri.tr$cptable[opt,"CP"]
# Il numero consigliato è opt
Iscri.pru<-prune(Iscri.tr,cp=comp)
#plot(Iscri1.tr,branch=0.25,margin=0.05);text(Iscri1.tr,digits=2)
post(Iscri.tr,file="",title="Esito atteso",pretty=TRUE,use.n=FALSE,digits=2)
post(Iscri.tr,file="",title="Esito atteso",pretty=FALSE,use.n=FALSE,digits=2)



